.product__price.product__price--compare{
  color: #d84c4c;
}

.product-block--price .product__price.product__price--compare{
  font-size: 16px;
}

.product__price.on-sale{
  color: #20a36c;
}

.product-block--price .product__price.on-sale{
  font-size: 26px;
  font-weight: 700;
}

.product-block--price .product__price-savings{
  font-size: 16px;
  color: #20a36c;
}